Crash in WebGUI on 2.1-DEVELOPMENT (amd64)



  • On the latest amd64 snapshots.

    after updating gitsync and rebooting I am not able to access the interface pages for any of the interfaces

    For example if I click on http://192.168.1.1/interfaces.php?if=lan I get this error "Parse error: syntax error, unexpected '}' in /usr/local/www/interfaces.php on line 1569"

    Same error on every interface



  • checked thrice.. AMD64 snapshot is fine.. once I update with gitsync the interface GUI crashes.

    Edit:
    Weird.. now a clean install of the latest AMD64 snapshot is behaving the same way intermittently. While renaming OPT3 VLAN to "Video" I got the same error above. After redirecting the link to a new tab a couple of times the link magically started to work again…



  • No one else having issues with this?

    Edit:
    Did a clean install with 8/1 snapshot and it worked after doing a gitsync. Looks like the latest amd64 snapshot has a minor code bug.



  • It's already fixed in git, a sync should just pick it up.


Locked